Recognize what a social URL points to
curl --request GET \
--url https://api.refmatter.com/v1/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "resolution",
"url": "<string>",
"canonicalUrl": "<string>",
"platform": "youtube",
"target": "item",
"id": "<string>",
"supported": true,
"reason": "unsupported_host"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}URLs
Recognize what a social URL points to
Free and local: no platform is contacted and nothing is stored. A Meta Ad Library link returns id null, because the id it carries is a deeplink id rather than the archive id an item is known by.
GET
/
v1
/
resolve
Recognize what a social URL points to
curl --request GET \
--url https://api.refmatter.com/v1/resolve \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "resolution",
"url": "<string>",
"canonicalUrl": "<string>",
"platform": "youtube",
"target": "item",
"id": "<string>",
"supported": true,
"reason": "unsupported_host"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Absolute http or https URL of a post, video or account
Required string length:
1 - 2048Response
What the URL points to
Allowed value:
"resolution"Required string length:
1 - 2048Required string length:
1 - 2048Available options:
youtube, tiktok, instagram, meta_ad_library Available options:
item, account Pattern:
^(youtube|tiktok|instagram|meta_ad_library):[A-Za-z0-9._-]{1,128}$Available options:
unsupported_host, short_link, account_not_supported, object_not_supported, unrecognized_url